> For the complete documentation index, see [llms.txt](https://docs.alphaus.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alphaus.cloud/v2.0-english/api-reference/stacks/describe-serviceconfig.md).

# Describe ServiceConfig

```
GET /v2/alm/serverconfig?stack_id={stack_id}
```

| **Parameters** | **Type** | **Required** | **Details** |
| -------------- | -------- | ------------ | ----------- |
| stack\_id      | string   | yes          |             |

Request header:

```
Authorization: Bearer eyJ0eXAiOiJ83fjQb3LzMeXzQfME
Content-Type: application/json
```

Example response:

```ruby
HTTP/1.1 200 OK

{
    "image":"mobingi\/ubuntu-apache2-php5",
    "code":"git:\/\/github.com\/mobingilabs\/default-site-php",
    "codeDir":"\/srv\/code\/",
    "ports":[
        80,
        443
    ],
    "environmentVariables":[],
    "updated":1479374854,
    "version":"2017-02-01",
}
```
